// ==UserScript==
// @name         Invidious - Dark Mode
// @version      1.1.5
// @author       Jesús E.
// @license      GPL-3.0
// @description  This script automatically toggles dark mode on Invidious and its various public instances.
// @namespace    InvidiousDark
// @homepageURL  https://libregit.org/heckyel/book/src/branch/master/scripts-greasemonkey
// @include      /^http(s|)://(www[.]|)invidio[.]us/.*$/
// @include      /^http(s|)://(www[.]|proxy[.]|)invidious[.]snopyta[.]org/.*$/
// @include      /^http(s|)://(www[.]|)vid[.]wxzm[.]sx/.*$/
// @include      /^http(s|)://(www[.]|)invidious[.]kabi[.]tk/.*$/
// @include      /^http(s|)://(www[.]|)invidiou[.]sh/.*$/
// @include      /^http(s|)://(www[.]|)yewtu[.]be/.*$/
// @include      /^http(s|)://(www[.]|)invidious[.]ggc-project[.]de/.*$/
// @include      /^http(s|)://(www[.]|)invidious[.]enkirton[.]net/.*$/
// @include      /^http(s|)://(www[.]|)tube[.]poal[.]co/.*$/
// @include      /^http(s|)://(www[.]|)invidious[.]13ad[.]de/.*$/
// @include      /^http(s|)://(www[.]|)invidious[.]drycat[.]fr/.*$/
// @grant        none
// ==/UserScript==

window.addEventListener('load', () => {
    let consoleCSS = 'background: #000; color: #00FF00; padding: 0px 7px; border: 1px solid #00FF00; line-height: 16px;';

    let defaultMode = document.getElementsByClassName('ion-ios-moon')[0];
    if (defaultMode != null) {
        defaultMode.click();
    }

    console.log("%cUSERSCRIPT | " + GM_info.script.name + " " + GM_info.script.version + " | successfully initialized", consoleCSS);
});
